Method: instances.generateBindplaneLicense

Full name: projects.locations.instances.generateBindplaneLicense

instances.generateBindplaneLicense generates a new Bindplane license for a customer.

HTTP request

POST https://{endpoint}/v1alpha/{parent}:generateBindplaneLicense

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource for which to generate the license. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "trial": boolean,
  "ttl": string
}
Fields
trial

boolean

Optional. Signals that the license is intended to be used as a trial. Trial licenses are valid for 30 days. If true, ttl is ignored.

ttl

string (Duration format)

Optional. The TTL for this resource. If not set, or set to zero, the license will expire in 100 years.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

Response body

BindplaneLicense represents a license for Bindplane integration.

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,
  "credentialId": string,
  "type": enum (Type),
  "provisioningState": enum (ProvisioningState),
  "key": string,

  // Union field expiration can be only one of the following:
  "expireTime": string,
  "ttl": string
  // End of list of possible types for union field expiration.
}
Fields
name

string

Identifier. The resource name of the BindplaneLicense. Format: projects/{project}/locations/{location}/instances/{instance}/bindplaneLicenses/{bindplaneLicense}

credentialId

string

Output only. The credential ID for the license key.

type

enum (Type)

Output only. The specific edition granted by this license, dictating the operational tier of the agent.

provisioningState

enum (ProvisioningState)

Output only. The provisioning state of the license.

key

string

Output only. The license key for Bindplane.

Union field expiration. Expiration of the license. expiration can be only one of the following:
expireTime

string (Timestamp format)

The time the license will expire.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

ttl

string (Duration format)

Input only. The TTL for this resource.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

Type

Defines the feature tier and capabilities available to the customer's Bindplane integration.

Enums
TYPE_UNSPECIFIED Unspecified license type.
BINDPLANE_GOOGLE_EDITION Google edition license for Bindplane.
BINDPLANE_ENTERPRISE_GOOGLE_EDITION Enterprise Google edition license for Bindplane.

ProvisioningState

The current status of the license key generation and assignment process in the underlying licensing system.

Enums
PROVISIONING_STATE_UNSPECIFIED Unspecified provisioning state.
PENDING The license generation is in progress.
ACTIVE The license has been generated and is active.
ERROR The license generation has failed.